# we use bundled gnulib
%bcond_with paper_enables_unbundling_gnulib

Summary:       Query paper size database and retrieve the preferred size
Name:          paper
Version:       2.3
Release:       5%{?dist}
License:       GPLv3+ and FSFAP
URL:           https://github.com/rrthomas/%{name}
Source0:       %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf automake bash coreutils gcc help2man make sed glibc-common diffutils
BuildRequires: perl-interpreter perl-generators perl(:VERSION) perl(Config) perl(Cwd)
BuildRequires: perl(File::Basename) perl(File::Spec::Functions) perl(Getopt::Long)
BuildRequires: perl(locale) perl(Scalar::Util) perl(strict) perl(warnings)

%if %{with paper_enables_unbundling_gnulib}
BuildRequires:  gnulib-devel
%endif
Provides:       bundled(gnulib)

%description
This package enables users to indicate their preferred paper size, provides the paper(1) utility to
find the user's preferred default paper size and give information about known sizes, and specifies
system-wide and per-user paper size catalogs, which can be can also be used directly (see
paperspecs(5)).

%prep
%autosetup -n %{name}-%{version} -p1
%if %{with paper_enables_unbundling_gnulib}
gnulib-tool --import --no-conditional-dependencies --no-libtool \
    langinfo locale progname relocatable-perl
%endif
autoreconf -fi

%build
%configure \
    --disable-relocatable \
    %{nil}
%make_build

%check
echo "Testing localepaper tool"
locale width height > expected
./src/localepaper | tr ' ' "\n" > got
diff -u expected got
echo "Testing paper tool"
perl -c ./src/paper

%install
%make_install

%files
%license COPYING
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/paperspecs
%{_bindir}/paper
%{_libexecdir}/localepaper
%{_mandir}/man1/paper.1*
%{_mandir}/man5/paperspecs.5*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 6 2023 Shuo Wang <abushwang@tencent.com> - 2.3-1
- initial build
